Bug 1074543 - Yast bootloader aborts with 'internal error'
Yast bootloader aborts with 'internal error'
Status: RESOLVED WONTFIX
: 1080468 (view as bug list)
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Bootloader
Leap 42.3
x86-64 openSUSE 42.3
: P5 - None : Normal (vote)
: ---
Assigned To: Josef Reidinger
Jiri Srain
https://trello.com/c/AF2yaWt3
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-03 18:27 UTC by Siegbert Sadowski
Modified: 2019-07-11 11:23 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
yast error logfile (3.60 MB, application/octet-stream)
2018-01-03 18:27 UTC, Siegbert Sadowski
Details
the requested grub.cfg and locale files (8.09 KB, text/plain)
2018-02-17 23:08 UTC, Siegbert Sadowski
Details
the missing 'locale' output (250 bytes, text/plain)
2018-02-19 18:41 UTC, Siegbert Sadowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Siegbert Sadowski 2018-01-03 18:27:51 UTC
Created attachment 754724 [details]
yast error logfile

Both yast versions (yast and yast2) will not launch the bootloader configuration and abort with 'internal error'. The message box show something like invaldid US-ascii...

Thanks,
Siegbert
Comment 1 Siegbert Sadowski 2018-01-03 18:31:56 UTC
The bug occured after upgrading from Leap 42.2 to 42.3
Comment 4 Josef Reidinger 2018-02-06 16:20:11 UTC
I check it and external encoding depends on locale. Can you please attach output of `locale` and also content of /boot/grub2/grub.cfg ?
Comment 5 Josef Reidinger 2018-02-12 12:52:37 UTC
*** Bug 1080468 has been marked as a duplicate of this bug. ***
Comment 6 Siegbert Sadowski 2018-02-17 23:08:26 UTC
Created attachment 760475 [details]
the requested grub.cfg and locale files

sorry for the delay but I was out of office during the time being
Comment 7 Josef Reidinger 2018-02-19 09:53:49 UTC
(In reply to Siegbert Sadowski from comment #6)
> Created attachment 760475 [details]
> the requested grub.cfg and locale files
> 
> sorry for the delay but I was out of office during the time being

no problem. I am just missing there locale files. but maybe instead can you try to run this command and paste output here? It is non-destructive, just prints out default ruby external encoding which is used for file opening. If you can do it for use you use for yast and root ( if you do not use root for both )

ruby -e "puts Encoding.default_external.inspect"


thanks
Comment 8 Siegbert Sadowski 2018-02-19 18:41:56 UTC
Created attachment 760704 [details]
the missing 'locale' output
Comment 9 Tomáš Chvátal 2019-07-11 11:23:59 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime